package vn.azteam.tpf.service.dto;

import java.util.Date;

import javax.validation.constraints.NotNull;

import org.springframework.format.annotation.DateTimeFormat;

public class ReportCriteria {
    private final String DATE_PARAM_FORMAT = "dd-MM-yyyy";

    @NotNull
    @DateTimeFormat(pattern = DATE_PARAM_FORMAT)
    private Date startDate;

    @DateTimeFormat(pattern = DATE_PARAM_FORMAT)
    private Date endDate;

    private Long customerId;

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }
}